import { DataTableVariant, HeaderVariant, TextAlign, VerticalAlign } from './types';
export declare const DataTableWrapper: import('styled-components').StyledComponent<"div", any, {}, never>;
export declare const Header: import('styled-components').StyledComponent<"header", any, {
    variant: DataTableVariant;
    headerVariant: HeaderVariant;
}, never>;
export declare const ResponsiveTableWrapper: import('styled-components').StyledComponent<"div", any, {}, never>;
export declare const Table: import('styled-components').StyledComponent<"table", any, {}, never>;
export declare const Th: import('styled-components').StyledComponent<"th", any, {
    columnWidth?: string | undefined;
    textAlign?: TextAlign | undefined;
    onClick?: (() => void) | undefined;
}, never>;
export declare const Td: import('styled-components').StyledComponent<"td", any, {
    textAlign?: TextAlign | undefined;
    verticalAlign?: VerticalAlign | undefined;
}, never>;
export declare const ThContainer: import('styled-components').StyledComponent<"div", any, {}, never>;
export declare const CheckboxCell: import('styled-components').StyledComponent<"span", any, {}, never>;
export declare const ActionBar: import('styled-components').StyledComponent<"div", any, {}, never>;
export declare const SelectedItemsInfo: import('styled-components').StyledComponent<"div", any, {}, never>;
export declare const ActionButtons: import('styled-components').StyledComponent<"div", any, {}, never>;
export declare const Footer: import('styled-components').StyledComponent<"footer", any, {}, never>;
export declare const ResultsArea: import('styled-components').StyledComponent<"div", any, {}, never>;
